- Qt 5.0
- Qt 5.0.0 Reference Documentation

# Event QML Type

The Event element provides an event in time which may reoccur. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- allDay : bool
- attendees : list<Detail>
- endDateTime : date
- location : string
- priority : enumeration
- recurrence : Recurrence
- startDateTime : date

## Signals

- onItemChanged()

## Methods

- clearDetails()
- void removeDetail(detail)
- void setDetail(detail)

## Detailed Description

See also OrganizerItem, EventOccurrence, Journal, Todo, TodoOccurrence, Note, and QOrganizerEvent.

## Property Documentation

allDay : bool

This property indicates whether the time-of-day component of the event's start date-time or end date-time is insignificant. If allDay is true, the time-of-day component is considered insignificant, and the event will be an all-day item.

attendees : list<Detail>

This property holds the attendees list of the event.

endDateTime : date

This property holds the end date time of the event.

location : string

This property holds the label of the location at which the event occurs.

priority : enumeration

This property holds the priority of the event. The value can be one of:

- Priority.Unknown
- Priority.Highest
- Priority.ExtremelyHigh
- Priority.VeryHigh
- Priority.High
- Priority.Medium
- Priority.Low
- Priority.VeryLow
- Priority.ExtremelyLow
- Priority.Lowest

recurrence : Recurrence

This property holds the recurrence element of the event item.

startDateTime : date

This property holds the start date time of the event.

## Signal Documentation

onItemChanged()

Note: The corresponding handler is `onOnItemChanged`.

See also OrganizerItem::onItemChanged.

## Method Documentation

clearDetails()

Removes all details from the organizer event.

See also removeDetail().

void removeDetail(detail)

Removes given detail from the organizer event.

void setDetail(detail)

Saves the given detail in the organizer event, and sets its id.